## ------------------------------------------------------------------------
library(GSALightning)

## ------------------------------------------------------------------------
data(expression)
data(sampleInfo)

## ------------------------------------------------------------------------
data(targetGenes)

## ------------------------------------------------------------------------
GSALightResults <- GSALight(eset = expression, fac = factor(sampleInfo$TN), gs = targetGenes, 
                            nperm = 1000, method = 'absmean', restandardize = FALSE, minsize = 8, 
                            rmGSGenes = 'gene', verbose = TRUE)

head(GSALightResults)

## ------------------------------------------------------------------------
GSALightResults <- GSALight(eset = expression, fac = factor(sampleInfo$TN), gs = targetGenes, 
                            method = 'absmean', restandardize = FALSE, minsize = 8, 
                            rmGSGenes = 'gene', verbose = FALSE)

## ------------------------------------------------------------------------
hist(GSALightResults[,'p-value'], main=NULL, xlab='p-value')

## ------------------------------------------------------------------------
GSALightResultsReStand <- GSALight(eset = expression, fac = factor(sampleInfo$TN), gs = targetGenes, 
                                   method = 'absmean', restandardize = TRUE, minsize = 8, 
                                   rmGSGenes = 'gene', verbose = FALSE)
hist(GSALightResultsReStand[,'p-value'], main=NULL, xlab='p-value')

## ------------------------------------------------------------------------
singleGeneAnalysis <- permTestLight(eset = expression, fac = factor(sampleInfo$TN),
                                    nperm = 1000,  method = 'absmean', verbose = TRUE)
head(singleGeneAnalysis)

